<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
    <xsl:template match="raiz">
        <xsl:value-of select="@head"></xsl:value-of><xsl:text>
        </xsl:text>
        <xsl:value-of select="@subtitulo"></xsl:value-of><xsl:text>
        </xsl:text>
        <xsl:value-of select="@from"></xsl:value-of>;<xsl:value-of select="@to"></xsl:value-of><xsl:text>
        </xsl:text><xsl:text>
        </xsl:text>

        <xsl:apply-templates select="decision"></xsl:apply-templates>
    </xsl:template>
    <xsl:template match="tabla">
        <xsl:value-of select="@table_title"></xsl:value-of><xsl:text>
        </xsl:text>
        <xsl:apply-templates select="row"></xsl:apply-templates><xsl:text>
        </xsl:text>
   </xsl:template>
   <xsl:template match="row">
       <xsl:apply-templates select="cell"></xsl:apply-templates><xsl:text>
        </xsl:text>
   </xsl:template>
   <xsl:template match="cell">
        <xsl:value-of select="@data"></xsl:value-of>;<xsl:text></xsl:text>
    </xsl:template>



    <xsl:template match="cell">
         <xsl:variable name="tipo">
    <xsl:value-of select="@tipo"></xsl:value-of>
    </xsl:variable>
    <xsl:variable name="complex">
    <xsl:value-of select="@complex"></xsl:value-of>
    </xsl:variable>
    <xsl:variable name="data">
    <xsl:value-of select="@data"></xsl:value-of>
    </xsl:variable>
    <xsl:variable name="isHead">
    <xsl:value-of select="@isHead"></xsl:value-of>
    </xsl:variable>

    <xsl:if test="$complex='0'">
        <xsl:value-of select="@data"></xsl:value-of>;<xsl:text></xsl:text>
    </xsl:if>

    <xsl:if test="$complex='1'">
         <xsl:variable name="dataL">
         <xsl:value-of select="@dataL"></xsl:value-of>
         </xsl:variable>
         <xsl:variable name="data">
         <xsl:value-of select="@data"></xsl:value-of>
        </xsl:variable>
        <xsl:variable name="dataR">
        <xsl:value-of select="@dataR"></xsl:value-of>
        </xsl:variable>
                    <xsl:value-of select="@dataL"></xsl:value-of>
                    <xsl:value-of select="@data"></xsl:value-of>
                    <xsl:value-of select="@dataR"></xsl:value-of>;<xsl:text></xsl:text>
        </xsl:if>

    <xsl:if test="$complex='2'">
         <xsl:variable name="dataL">
         <xsl:value-of select="@dataL"></xsl:value-of>
        </xsl:variable>
        <xsl:variable name="dataR">
        <xsl:value-of select="@dataR"></xsl:value-of>
        </xsl:variable>
                     <xsl:value-of select="@dataL"></xsl:value-of>
                    -<text></text><xsl:value-of select="@dataR">
                    </xsl:value-of>;<text></text>
    </xsl:if>
    </xsl:template>








    <xsl:template match="decision">
        <xsl:apply-templates select="tabla"></xsl:apply-templates><xsl:text>
        </xsl:text>
    </xsl:template>
</xsl:stylesheet>
